//-----------------------------------------------------------------------
// <copyright file="SignedOutRemotelyEventArgs.cs" company="Microsoft">
//     Copyright (c) Microsoft Corporation.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace Microsoft.Live.Messenger
{
    using System;

    /// <summary>
    /// Represents the method that will handle the <see cref="User.SignedOutRemotely"/> event of <see cref="User"/>.
    /// </summary>
    /// <param name="sender">The source of the event.</param>
    /// <param name="e">A <see cref="SignedOutRemotelyEventArgs"/> object that contains event data.</param>
    public delegate void SignedOutRemotelyEventHandler(object sender, SignedOutRemotelyEventArgs e);

    /// <summary>
    /// Provides data for the <see cref="User.SignedOutRemotely"/> event.
    /// </summary>
    public class SignedOutRemotelyEventArgs : EventArgs
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="SignedOutRemotelyEventArgs"/> class.
        /// </summary>
        public SignedOutRemotelyEventArgs()
        {
        }
    }
}