//-----------------------------------------------------------------------
// <copyright file="IMAddressType.cs" company="Microsoft">
//     Copyright (c) Microsoft Corporation.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace Microsoft.Live.Messenger
{
    using System;

    /// <summary>
    /// Represents an instant messaging address type.
    /// </summary>
    public enum IMAddressType
    {
        /// <summary>
        /// Indicates the lack of an address type.
        /// </summary>
        None = 0,

        /// <summary>
        /// Indicates the Windows Live address type.
        /// </summary>
        WindowsLive = 1,

        /// <summary>
        /// Indicates the Office Communicator address type.
        /// </summary>
        OfficeCommunicator = 2,

        /// <summary>
        /// Indicates the Yahoo address type.
        /// </summary>
        Yahoo = 32,

        /// <summary>
        /// Indicates the telephone address type.
        /// </summary>
        Telephone = 4,

        /// <summary>
        /// Indicates the SMTP address type.
        /// </summary>
        Smtp = 16,

        /// <summary>
        /// Indicates the mobile network address type.
        /// </summary>
        MobileNetwork = 8,
    }
}