﻿//-----------------------------------------------------------------------
// <copyright file="MessengerEventArgs.cs" company="Microsoft">
//     Copyright (c) Microsoft Corporation.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace Microsoft.Live.Messenger
{
    using System;
    using System.Diagnostics;

    internal delegate void MessengerEventHandler(object sender, MessengerEventArgs e);

    internal sealed class MessengerEventArgs : EventArgs
    {
        private readonly MessengerEntity entity;

        public MessengerEventArgs(MessengerEntity entity)
        {
            Debug.Assert(entity != null);

            this.entity = entity;
        }

        public MessengerEntity Entity
        {
            get { return this.entity; }
        }
    }
}