//-----------------------------------------------------------------------
// <copyright file="ApplicationMessage.cs" company="Microsoft">
//     Copyright (c) Microsoft Corporation.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace Microsoft.Live.Messenger.Messaging
{
    using System;
    using Microsoft.Live.Core;
    using Microsoft.Live.Messenger;

    /// <summary>
    ///     Represents the message that can be inherited from to create customized messages.
    /// </summary>
    public abstract class ApplicationMessage : Message
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ApplicationMessage"/> class.
        /// </summary>
        protected ApplicationMessage(string id)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        ///     A unique identifier for this kind of message.
        /// </summary>
        /// <remarks>
        ///     This ID will be used to promote the capability of sending and receiving this kind
        ///     of message to all buddies. This ID must be unique within the application.
        /// </remarks>
        public string Id
        {
            get { return null; }
        }
    }
}