//-----------------------------------------------------------------------
// <copyright file="MessageType.cs" company="Microsoft">
//     Copyright (c) Microsoft Corporation.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace Microsoft.Live.Messenger
{
    using System;

    /// <summary>
    /// Specifies supported message types.
    /// </summary>
    public enum MessageType
    {
        /// <summary>
        /// Represents a text message.
        /// </summary>
        TextMessage = 1,

        /// <summary>
        /// Represents a nudge message.
        /// </summary>
        NudgeMessage = 2,

        /// <summary>
        /// Represents an application message 
        /// </summary>
        ApplicationMessage = 3,
    }
}