//-----------------------------------------------------------------------
// <copyright file="NudgeMessage.cs" company="Microsoft">
//     Copyright (c) Microsoft Corporation.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace Microsoft.Live.Messenger
{
    using System;

    /// <summary>
    /// Represents a nudge message.
    /// </summary>
    public sealed class NudgeMessage : Message
    {
        private readonly MessengerEntity entity;

        /// <summary>
        /// Initializes a new instance of the <see cref="NudgeMessage"/> class.
        /// </summary>
        public NudgeMessage()
        {
            this.entity = MessengerEntity.CreateInstance(typeof(NudgeMessage));
        }

        internal NudgeMessage(MessengerEntity entity)
        {
            this.entity = entity;
        }

        internal override MessengerEntity Entity
        {
            get { return this.entity; }
        }
    }
}