//-----------------------------------------------------------------------
// <copyright file="TextMessageDirection.cs" company="Microsoft">
//     Copyright (c) Microsoft Corporation.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace Microsoft.Live.Messenger
{
    using System;

    /// <summary>
    /// Defines constants that specify the content flow direction for text and User interface (UI) elements.
    /// </summary>
    public enum TextMessageDirection
    {
        /// <summary>
        /// Indicates that content should flow from left to right.
        /// </summary>
        LeftToRight = 0,

        /// <summary>
        /// Indicates that content should flow from right to left.
        /// </summary>
        RightToLeft = 1,
    }
}