//-----------------------------------------------------------------------
// <copyright file="TextMessageStyle.cs" company="Microsoft">
//     Copyright (c) Microsoft Corporation.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace Microsoft.Live.Messenger
{
    using System;

    /// <summary>
    /// Represents a font style.
    /// </summary>
    [Flags]
    public enum TextMessageStyle
    {
        /// <summary>
        /// Normal text.
        /// </summary>
        Regular = 0x0,

        /// <summary>
        /// Bold text.
        /// </summary>
        Bold = 0x1,

        /// <summary>
        /// Italic text.
        /// </summary>
        Italic = 0x2,

        /// <summary>
        /// Text with a line through the middle.
        /// </summary>
        Strikeout = 0x4,

        /// <summary>
        /// Underlined text.
        /// </summary>
        Underline = 0x8,
    }
}