//-----------------------------------------------------------------------
// <copyright file="PresenceStatus.cs" company="Microsoft">
//     Copyright (c) Microsoft Corporation.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace Microsoft.Live.Messenger
{
    using System;

    /// <summary>
    /// Represents the status of an instant messaging address.
    /// </summary>
    public enum PresenceStatus
    {
        /// <summary>
        /// Indicates the address is offline.
        /// </summary>
        Offline = 0,

        /// <summary>
        /// Indicates the address is online.
        /// </summary>
        Online = 1,

        /// <summary>
        /// Indicates the address should appear as offline to other addresses.
        /// </summary>
        AppearOffline = 2,

        /// <summary>
        /// Indicates the address is busy.
        /// </summary>
        Busy = 3,

        /// <summary>
        /// Indicates the address is idle.
        /// </summary>
        Idle = 4,

        /// <summary>
        /// Indicates the address will be back soon.
        /// </summary>
        BeRightBack = 5,

        /// <summary>
        /// Indicates the address is away.
        /// </summary>
        Away = 6,

        /// <summary>
        /// Indicates the address is in a phone call.
        /// </summary>
        InACall = 7,

        /// <summary>
        /// Indicates the address is out to lunch.
        /// </summary>
        OutToLunch = 8,
    }
}