//-----------------------------------------------------------------------
// <copyright file="AddContactResultCode.cs" company="Microsoft">
//     Copyright (c) Microsoft Corporation.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace Microsoft.Live.Messenger
{
    using System;

    /// <summary>
    /// Represents result codes for <see cref="User.AddContact"/>.
    /// </summary>
    public enum AddContactResultCode
    {
        /// <summary>
        /// Indicates <see cref="User.AddContact"/> completed successfully.
        /// </summary>
        Success = 0,

        /// <summary>
        /// Indicates <see cref="User.AddContact"/> failed.
        /// </summary>
        Failure = 1,

        /// <summary>
        /// Indicates the address provided to <see cref="User.AddContact"/> could not be found.
        /// </summary>
        NotFound = 2,
    }
}
