//-----------------------------------------------------------------------
// <copyright file="SignOutLocations.cs" company="Microsoft">
//     Copyright (c) Microsoft Corporation.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace Microsoft.Live.Messenger
{
    using System;

    /// <summary>
    /// Represents the locations to be signed out.
    /// </summary>
    [Flags]
    public enum SignOutLocations
    {
        /// <summary>
        /// Indicates the local endpoint should be signed out.
        /// </summary>
        Local = 1,

        /// <summary>
        /// Indicates the remote endpoint(s) should be signed out.
        /// </summary>
        Remote = 2,

        /// <summary>
        /// Indicates all endpoints should be signed out.
        /// </summary>
        All = 3,
    }
}