﻿namespace MessengerSample
{
    using System;
    using System.Globalization;
    using System.Windows;
    using System.Windows.Data;

    using Microsoft.Live.Messenger;

    public class PresenceStatusToVisibilityConverter : IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            PresenceStatus status = PresenceStatus.Offline;
            if (value is PresenceStatus)
            {
                status = (PresenceStatus)value;
            }

            switch (status)
            {
                case PresenceStatus.Offline:
                case PresenceStatus.AppearOffline:
                    return Visibility.Collapsed;
                default:
                    return Visibility.Visible;
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotSupportedException();
        }

        #endregion
    }
}
